Vulnerability & Exploit Database

Back to search

D-Link Devices Unauthenticated Remote Command Execution

Various D-Link Routers are vulnerable to OS command injection via the web interface. The vulnerability exists in tools_vct.xgi, which is accessible with credentials. According to the vulnerability discoverer, more D-Link devices may be affected.

Free Metasploit Download

Get your copy of the world's leading penetration testing tool

 Download Now

Module Name

exploit/linux/http/dlink_dir300_exec_telnet

Authors

  • Michael Messner <devnull [at] s3cur1ty.de>
  • juan vazquez <juan.vazquez [at] metasploit.com>

References

Targets

  • Automatic

Platforms

  • unix

Architectures

  • cmd

Reliability

Development

Module Options

To display the available options, load the module within the Metasploit console and run the commands 'show options' or 'show advanced':

msf > use exploit/linux/http/dlink_dir300_exec_telnet msf exploit(dlink_dir300_exec_telnet) > show targets ...targets... msf exploit(dlink_dir300_exec_telnet) > set TARGET <target-id> msf exploit(dlink_dir300_exec_telnet) > show options ...show and set options... msf exploit(dlink_dir300_exec_telnet) > exploit